## kdepimlibs 4.4.5

=== CMakeLists.txt ===
project(kdepimlibs)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

############### Build Options ###############

option(KDEPIM_ONLY_KLEO "Only build the libraries needed by Kleopatra." FALSE)


############### The kdepimlibs version (used e.g. in KdepimLibsConfig.cmake) ###############
set(KDEPIMLIBS_VERSION_MAJOR 4)
set(KDEPIMLIBS_VERSION_MINOR 4)
set(KDEPIMLIBS_VERSION_PATCH 5)
set(KDEPIMLIBS_VERSION ${KDEPIMLIBS_VERSION_MAJOR}.${KDEPIMLIBS_VERSION_MINOR}.${KDEPIMLIBS_VERSION_PATCH})


############### search packages used by KDE ###############

set (QT_MIN_VERSION "4.6.0")
find_package(KDE4 4.4.5 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)


############### Needed commands before building anything ###############

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})


############### Find the stuff we need ###############

set(Boost_MINIMUM_VERSION "1.34.0")
if (WIN32)
  find_package(Boost ${Boost_MINIMUM_VERSION}) # (jstaniek) temp. fix unless we have graph library, not just headers
else (WIN32)
  find_package(Boost ${Boost_MINIMUM_VERSION} COMPONENTS graph)
endif (WIN32)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" TRUE ${Boost_MINIMUM_VERSION} "The Boost libraries boost and boost-graph are required by several critical KDEPIM apps.")

#FindGpgme.cmake already handles the log message but we must ensure it is required.
find_package(Gpgme REQUIRED)
# configure macros
if (GPGME_FOUND)
  include (gpgme++/ConfigureChecks.cmake)
endif (GPGME_FOUND)

if (NOT KDEPIM_ONLY_KLEO)
  #FindAkonadi.cmake is only there for compatibility reasons, but we don't want to use that.
  find_package(Akonadi 1.2.61 QUIET NO_MODULE)
  macro_log_feature(Akonadi_FOUND "Akonadi" "Akonadi server libraries (from kdesupport)" "http://pim.kde.org/akonadi" TRUE "1.3.1" "Akonadi is required to build KdepimLibs.")

  find_package(Sasl2)
  macro_log_feature(SASL2_FOUND "cyrus-sasl" "Cyrus SASL API" "http://asg.web.cmu.edu/sasl/sasl-library.html" TRUE "" "Required to support authentication of logins in the IMAP and Sieve kioslaves.")
  include (ConfigureChecks.cmake)

  set(SHARED_MIME_INFO_MINIMUM_VERSION "0.30")
  find_package(SharedMimeInfo)
  macro_log_feature(SHARED_MIME_INFO_FOUND "SMI" "SharedMimeInfo" "http://freedesktop.org/wiki/Software/shared-mime-info" TRUE "0.30" "SharedMimeInfo is required.")

endif (NOT KDEPIM_ONLY_KLEO)


############### Now, we add the KDEPIMLibs components ###############
# These targets will always be built
add_subdirectory(cmake)
add_subdirectory(gpgme++)
add_subdirectory(qgpgme)

if (NOT KDEPIM_ONLY_KLEO)
  add_subdirectory(kabc)
  add_subdirectory(kblog)
  add_subdirectory(kcal)
  add_subdirectory(akonadi) # depends on kabc is build
  add_subdirectory(kholidays)
  add_subdirectory(kimap)
  add_subdirectory(kioslave)
  add_subdirectory(kldap)
  add_subdirectory(kmime)
  add_subdirectory(kpimidentities)
  add_subdirectory(kpimutils)
  add_subdirectory(kpimtextedit)
  add_subdirectory(kresources)
  add_subdirectory(ktnef)
  add_subdirectory(kxmlrpcclient)
  add_subdirectory(mailtransport)
  add_subdirectory(microblog)
  add_subdirectory(syndication)
  add_subdirectory(kontactinterface)
  # Build the CamelCase headers
  add_subdirectory(includes)
endif (NOT KDEPIM_ONLY_KLEO)


# doc must be a subdir of kdepimlibs
macro_optional_add_subdirectory(doc)

# All done, let's display what we found...
macro_display_feature_log()


############### Here we install some extra stuff  ###############

if (NOT KDEPIM_ONLY_KLEO)
  install(FILES kdepimlibs-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
  update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
endif (NOT KDEPIM_ONLY_KLEO)


# now create the KdepimLibsConfig.cmake file, which will be loaded by
# kdelibs/cmake/modules/FindKdepimLibs.cmake and which has to contain all information
# about the installed kdepimlibs anybody would like to have. Alex

# we need the absolute directories where stuff will be installed too
# but since the variables which contain the destinations can be relative
# or absolute paths, we need this macro to make them all absoulte, Alex
macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")    # IS_ABSOLUTE is new since cmake 2.4.8
      set(${out} "${in}")
   else (IS_ABSOLUTE "${in}")
      set(${out} "\${KDEPIMLIBS_INSTALL_DIR}/${in}")
   endif (IS_ABSOLUTE "${in}")
endmacro(MAKE_INSTALL_PATH_ABSOLUTE out in)

# all the following variables are put into KdepimLibsConfig.cmake, so
# they are usable by projects using kdepimlibs. Alex
make_install_path_absolute(KDEPIMLIBS_DATA_DIR            ${DATA_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_DBUS_SERVICES_DIR   ${DBUS_SERVICES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_INCLUDE_DIR         ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LIB_DIR             ${LIB_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_BIN_DIR             ${BIN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LIBEXEC_DIR         ${LIBEXEC_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SBIN_DIR            ${SBIN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_HTML_DIR            ${HTML_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_CONFIG_DIR          ${CONFIG_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_ICON_DIR            ${ICON_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_KCFG_DIR            ${KCFG_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LOCALE_DIR          ${LOCALE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_MIME_DIR            ${MIME_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SOUND_DIR           ${SOUND_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_TEMPLATES_DIR       ${TEMPLATES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_WALLPAPER_DIR       ${WALLPAPER_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_KCONF_UPDATE_DIR    ${KCONF_UPDATE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_AUTOSTART_DIR       ${AUTOSTART_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_XDG_APPS_DIR        ${XDG_APPS_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_XDG_DIRECTORY_DIR   ${XDG_DIRECTORY_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SYSCONF_DIR         ${SYSCONF_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_MAN_DIR             ${MAN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_INFO_DIR            ${INFO_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SERVICES_DIR        ${SERVICES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SERVICETYPES_DIR    ${SERVICETYPES_INSTALL_DIR})

# Used in configure_file() and install(EXPORT)
set(KDEPIMLIBS_TARGET_PREFIX KDEPIMLibs__)

# this file is installed and contains all necessary information about the installed kdepimlibs, it also loads the file with the exported targets
configure_file(KdepimLibsConfig.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfig.cmake" @ONLY)

# this file will be installed too and will be used by cmake when searching for the Config.cmake file to check the version of kdepimlibs, Alex
macro_write_basic_cmake_version_file(${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfigVersion.cmake
                                     ${KDEPIMLIBS_VERSION_MAJOR} ${KDEPIMLIBS_VERSION_MINOR} ${KDEPIMLIBS_VERSION_PATCH})

set(_KdepimLibsConfig_INSTALL_DIR ${LIB_INSTALL_DIR}/KdepimLibs/cmake)
# places where find_package() looks for FooConfig.cmake files:
# CMake >= 2.6.0 looks in lib/Foo*/cmake/, CMake >= 2.6.3 also looks in
# lib/cmake/Foo*/, which packagers prefer. So they can set the KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR
# option to have kdepimlibs install its Config file there. Alex
if(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
   set(_KdepimLibsConfig_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/KdepimLibs)
endif(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfigVersion.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfig.cmake
        DESTINATION ${_KdepimLibsConfig_INSTALL_DIR} )

# Install the file with the exported targets, use ${KDEPIMLIBS_TARGET_PREFIX} as prefix for the names of these targets, Alex
install(EXPORT kdepimlibsLibraryTargets
        NAMESPACE ${KDEPIMLIBS_TARGET_PREFIX}
        DESTINATION ${_KdepimLibsConfig_INSTALL_DIR}
        FILE KDEPimLibsLibraryTargetsWithPrefix.cmake )

# Install a KDEPimLibsDependencies.cmake so people using kdepimlibs 4.2 with kdelibs < 4.2 get a useful error message, Alex
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/KDEPimLibsDependencies.cmake "\n message(FATAL_ERROR \"For using this version of kdepimlibs (${KDEPIMLIBS_VERSION}) you need a newer version of kdelibs, please update.\")\n")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KDEPimLibsDependencies.cmake
        DESTINATION ${DATA_INSTALL_DIR}/cmake/modules)

=== debian/changelog ===
kdepimlibs (4:4.4.5-2) unstable; urgency=low

  * Point debian/control Vcs fields to the new Git repository.
  * Fix POP3 mailcheck aborting because of internal memory errors. The bug was
    a cause of POP3 mails not getting deleted from POP3 servers.
    (Closes: #600907)

 -- Modestas Vainius <modax@debian.org>  Sun, 28 Nov 2010 19:17:34 +0200

kdepimlibs (4:4.4.5-1) unstable; urgency=low

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

 -- Modestas Vainius <modax@debian.org>  Sun, 04 Jul 2010 19:00:52 +0300

kdepimlibs (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Confirm symbol files on armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386
    mips mipsel powerpc s390 sparc.
  * KIMAP needs sasl modules for authentication. Thanks to Volker Krause.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:18 +0300

kdepimlibs (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Confirm symbols files for 4.4.2 on ia64 kfreebsd-amd64 kfreebsd-i386
    powerpc s390 sparc.
  * Update symbol files for 4.4.3 on amd64.
  * Steal a couple of patches from Kubuntu (to workaround annoying bugs):
    - 02_increase_fail_timeout.diff - give more time (60 seconds) for akonadi
      server to start. Current timeout (10 seconds) was not enough on many
      machines. To make things worse, kdepimlibs would just call exit() after
      showing error detection dialog causing unexpected termination of the
      application.
    - 03_hide_akonadi_progressbar.diff - hide akonadi start/stop progress bar
      as it is already done in KDE trunk. It was not a real progress bar anyway
      and just confused users.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:57:54 +0300

kdepimlibs (4:4.4.2-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4:4.4.2.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 16:21:31 +0300

kdepimlibs (4:4.4.1-1) experimental; urgency=low

  * New upstream release:
    - bavarian holiday region doesn't exist anymore. (Closes: #505965)
      see http://websvn.kde.org/?view=revision&revision=1082408 commit.

  [ George Kiagiadakis ]
  * Bump kdelibs5-dev build-dependency to >= 4:4.4.
  * Bump libakonadi-dev build-dependency to >= 1.3.0.
  * Drop patch 01_imap4_kioslave_cpu_eater.diff. Included upstream.
  * Update installed files.
  * Split all libraries into separate library packages, make
    kdepimlibs5 a transitional package and kill kdepimlibs-data.
  * Adjust descriptions to match KDE's new branding.
  * Update copyright file.

  [ Pino Toscano ]
  * Add patch 01_hurd_support.diff to hopefully fix (even if not in the most
    elegant way) the compilation on GNU/Hurd.

  [ Changes by Ana Beatriz Guerrero Lopez ]
  * Add build depends on shared-mime-info.

  [ Modestas Vainius ]
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Use ${allLibraries} and ${kde43Libraries} substs provided by
    library-packages.mk in debian/control.
  * Use strict (=) interdependencies between local library packages.
  * Add symbol files for split off old and new libraries:
    - symbol files for old libraries are based on the 4:4.3.4 packages and
      upgraded to 4:4.4.0 on amd64/i386;
    - symbol files for new libraries are based on the 4:4.4.0 packages on
      amd64/i386;
    - add "Build-Depends-Package: kdepimlibs5-dev" field to all symbols files;
    - instruct dpkg-gensymbols not to fail if some symbols get lost (via -c0);
    - add build dependency on dpkg-dev 1.15.5.
  * Build depend on pkg-kde-tools 0.6.4: needed for symbols files and
    library-packages.mk.
  * Clean up debian/rules a bit.
  * Drop obsolete kdepimlibs5-dev presubj.
  * Add ${perl:Depends} subst to libmailtransport4 Depends.
  * Remove unused reference to versionless GPL from debian/copyright.
  * Bump packaging copyright years.
  * Add lintian overrides.
  * Drop obsolete README.Debian.
  * Add build dependency on cmake.
  * Add kde-sc-dev-latest (>= 4:4.4.1) to Build-Depends.
  * Inject kdepim-runtime dependency via symbol files / shlibs of the following
    libraries: libakonadi-*, libkabc4, libkblog4, libkcal4, libkimap4,
    libkresources4, libmailtransport4, libmicroblog4.
  * Inject kdepimlibs-kio-plugins dependency via symbol files / shlibs of the
    following libraries: libmailtransport4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 11 Mar 2010 13:22:41 +0200

kdepimlibs (4:4.3.4-2) unstable; urgency=low

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.

  [ Fathi Boudra ]
  * Add IMAP4 kioslave cpu eater patch: Properly check errors during
    authentication to avoid falling into an infinite loop.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 15 Jan 2010 11:18:43 +0100

kdepimlibs (4:4.3.4-1) unstable; urgency=low

  * New upstream release

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove build depend on libboost-python-dev, it should be fixed now in
    boost's side.
  * Remove myself from Uploaders.

  +++ Changes by Lukasz Janyst:

  * Bump build depends.

  +++ Changes by Modestas Vainius:

  * Update install files.



=== debian/control ===
Source: kdepimlibs
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7.2.3), pkg-kde-tools (>= 0.9), dpkg-dev (>= 1.15.5),
 kdelibs5-dev (>= 4:4.4), libgpgme11-dev, libldap2-dev, libsasl2-dev,
 libboost-dev, libboost-graph-dev, shared-mime-info,
 libakonadi-dev (>= 1.3.0), libical-dev (>= 0.42)
Standards-Version: 3.8.4
Homepage: http://pim.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepimlibs.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepimlibs.git

Package: kdepimlibs5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${kde43Libraries}, kdepimlibs-kio-plugins (= ${binary:Version})
Description: the KDE Development Platform PIM libraries (transitional package)
 This is a dummy package to ease transition to the new library packages.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kdepimlibs5-dev
Section: libdevel
Architecture: any
Depends: ${sameVersionDep:kdelibs5-dev:libakonadi-kde4}, ${allLibraries}
Replaces: kdepimlibs-data (<< 4:4.1.80)
Conflicts: libkleopatra1-dev
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kdepimlibs-kio-plugins
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Conflicts: kdepimlibs-data
Description: kio slaves used by KDE PIM applications
 This package contains the imap4, ldap, mbox, nntp, pop3, sieve and smtp kio
 slaves.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-contact4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepim-runtime (<< 4:4.4.0)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kabc4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kcal4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepim-runtime (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kde4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Conflicts: kdepimlibs-data
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kmime4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Conflicts: kdepimlibs-data
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libgpgme++2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Description: c++ wrapper library for gpgme
 GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
 (GnuPG Made Easy) library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkabc4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Conflicts: kdepimlibs-data
Description: library for handling address book data
 This library provides an API for address book data. It includes features
 such as:
  * Value based interface, addressbook entry data is implicitly shared.
  * Address book entries are identified by a unique id.
  * vCard backend (RFC 2425 / RFC 2426).
  * Locking mechanism to support concurrent access to the address book by
    multiple processes.
  * Notification on change of addressbook by other process.
  * Dialog for selecting address book entries, supports mouse and keyboard
    selection, supports automatic name completion.
  * GUI client for viewing, modifying address book data. This is aimed at
    developers not end users.
  * Tool for converting data, written with libkab, to libkabc format.
  * Multiple backends (resources) for storing entries e.g. LDAP
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkblog4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Description: client-side support library for web application remote blogging APIs
 KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
 MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
 and Syndication. It supports asynchronous sending and fetching of posts and,
 if supported on the server, multimedia files. Almost every modern blogging web
 application that provides an XML data interface supports one of the APIs
 mentioned above.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcal4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Conflicts: kdepimlibs-data
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkholidays4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Conflicts: kdepimlibs-data
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkimap4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
Replaces: kdepimlibs5 (<< 4:4.4.0)
Description: library for handling IMAP data
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkldap4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkmime4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Description: library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkontactinterface4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libkontactinterfaces4
Replaces: kontact (<< 4:4.1.80), libkontactinterfaces4
Description: Kontact interface library
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpimidentities4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpimtextedit4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpimutils4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Description: library for dealing with email addresses
 This library contains utility functions for dealing with email addresses.
 This includes parsing, splitting and munging email addresses represented
 as strings (e.g. in email headers); some additional functions handle
 non-latin1 upper- and lower-case conversions.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkresources4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Conflicts: kdepimlibs-data
Description: the KDE Resource framework library
 This library provides a framework for managing resources of different types,
 organized in families. The Resource framework is for example used for
 addressbook resources in libkabc and for calendar resources in libkcal.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libktnef4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Description: library for handling TNEF data
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkxmlrpcclient4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Description: simple XML-RPC client library
 This library contains simple XML-RPC client support. It is used mainly by the
 egroupware module of kdepim, but is a complete client and is quite easy to use.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libmailtransport4
Section: libs
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_MAKESHLIBS_ARGS_ALL = -u-c0

# Get rid of the dependency on kde{base,pim}-runtime
DEB_DH_SHLIBDEPS_ARGS_ALL:=-- -xkdebase-runtime -xkdepim-runtime -xkdepimlibs-kio-plugins

DEB_KDE43_LIBRARY_PACKAGES = libakonadi-kabc4 libakonadi-kde4 libakonadi-kmime4 libgpgme++2 \
 libkabc4 libkblog4 libkcal4 libkholidays4 libkimap4 libkldap4 libkmime4 libkpimidentities4 \
 libkpimtextedit4 libkpimutils4 libkresources4 libktnef4 libkxmlrpcclient4 libmailtransport4 \
 libmicroblog4 libqgpgme1 libsyndication4
DEB_ALL_LIBRARIES_SUBST_PACKAGES = kdepimlibs5-dev kdepimlibs-dbg
DEB_KDE43_LIBRARIES_SUBST_PACKAGES = kdepimlibs5
DEB_STRICT_LOCAL_SHLIBS_PACKAGES = $(DEB_LIBRARY_PACKAGES)

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/1/library-packages.mk

# Inject kdepimlibs-kio-plugins and kdepim-runtime via shlibs as well. Get
# packages from symbol files
# Must go below library-packages.mk include due to DEB_LIBRARY_PACKAGES usage
UPSTREAMVERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //' | sed 's/^\(.*\)-.*/\1/')
DEB_LIBRARIES_WITH_KDEPIM_RUNTIME := $(shell grep -l 'kdepim-runtime' debian/*.symbols | awk '-F[./]' '{ print $$2 }')
DEB_LIBRARIES_WITH_KIO_PLUGINS := $(shell grep -l 'kdepimlibs-kio-plugins' debian/*.symbols | awk '-F[./]' '{ print $$2 }')
comma = ,

$(foreach pkg,$(DEB_LIBRARY_PACKAGES), $(eval \
    DEB_DH_MAKESHLIBS_ARGS_$(pkg) += -V'$(pkg) (>= $(UPSTREAMVERSION)) \
        $(if $(filter $(pkg),$(DEB_LIBRARIES_WITH_KDEPIM_RUNTIME)),$(comma) kdepim-runtime,) \
        $(if $(filter $(pkg),$(DEB_LIBRARIES_WITH_KIO_PLUGINS)),$(comma) kdepimlibs-kio-plugins,)' \
))

## kdepimlibs 4.5.1

=== debian/changelog ===
kdepimlibs (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Update symbol files.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 29 Aug 2010 22:59:31 +0200

kdepimlibs (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:03 +0100

kdepimlibs (4:4.5.0a-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 02 Aug 2010 22:41:34 +0100

kdepimlibs (4:4.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump on build-depends
  * Added kubuntu_04_contactsearch_speed_fix.diff, as requested on KDE Packagers
    ML

 -- Michał Zając <michal.zajac@gmail.com>  Thu, 29 Jul 2010 20:48:49 +0200

kdepimlibs (4:4.4.95-0ubuntu1) maverick; urgency=low

  * New upstream RC release
    - Bump on kde-sc-dev-latest (4.4.95)

 -- Michał Zając <michal.zajac@gmail.com>  Mon, 26 Jul 2010 17:24:25 +0200

kdepimlibs (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream RC release
    - Bump kde-sc-dev-latest to 4.4.92
    - Update symbols

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 00:36:13 +0200

kdepimlibs (4:4.4.90-0ubuntu1) maverick; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump kde-sc-dev-latest to 4.4.90
    - Update kdelibs5-dev.install
    - Update KUBUNTU-DEBIAN-DIFFERENCES
    - Update symbols files
    - Remove README.source

  [ Harald Sitter ]
  * Make -dev replace the lib, since /usr/lib/libkontactinterface.so was in
    4.4.4 (PPA release) in the lib and not the -dev package.

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 19 Jun 2010 04:09:51 +0200

kdepimlibs (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Bump kde-sc-dev-latest to 4.4.85
    - Bump libakonadi-dev to 1.3.80
    - Bump shared-desktop-ontologies to 0.5

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 07 Jun 2010 12:46:04 +0200

kdepimlibs (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Switch to dpkg-source 3.0 (quilt) format
    - Bump KDE build-depends
    - Disable 02_increase_fail_timeout.diff
    - Update 03_hide_akonadi_progressbar.diff
    - Add shared-desktop-ontologies to build-depends
    - Update various install files

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 24 May 2010 02:37:35 +0200

kdepimlibs (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Build with versioned boost build-depends
    - Use Kubuntu docpath (/usr/share/doc/kde/)
  * Bump replaces on KDE 4:4.4.0 to 4:4.4.60 since we're doing this split a
    major KDE version later than Debian

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 16 May 2010 16:01:00 -0400

kdepimlibs (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
    - Bump KDE build-depends to 4.4.3

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 30 Apr 2010 22:06:02 +0200

kdepimlibs (4:4.4.2-0ubuntu2) lucid; urgency=low

  * Add kubuntu_01_increase_fail_timeout.patch to bump the timeout before
    starting error detection from 10 seconds to 60, that should be enough time
    for akonadi to start on somewhat decent hardware (I hope)
  * Add kubuntu_02_hide_akonadi_progressbar.patch to hide start/stop progressbar
    as done in KDE trunk and requested by ScottK LP: #562420

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 13 Apr 2010 19:35:59 +0200

kdepimlibs (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Mar 2010 13:41:20 +0100

kdepimlibs (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 26 Feb 2010 23:27:56 +0100

kdepimlibs (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depend versions

 -- Christian Mangold <neversfelde@ubuntu.com>  Thu, 04 Feb 2010 16:00:13 +0100

kdepimlibs (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream release candidate
    - Bump build dep versions

  [ Alessandro Ghersi ]
  * Bump Qt to 4.6.1
  * Bump akonadi to 1.3.0

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 01 Feb 2010 13:06:41 +0100

kdepimlibs (4:4.3.95-0ubuntu1) lucid; urgency=low

  [ Jonathan Thomas ]
  * New upstream release candidate:
    - Bump build-depend versions
    Fixes LP: #350902

  [ Jonathan Riddell ]
  * kdepimlibs5-dev replaces old kdepim-runtime-libs4

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 19 Jan 2010 21:23:32 -0500

kdepimlibs (4:4.3.90-0ubuntu3) lucid; urgency=low

  * Make the kdepimlibs-dbg package replace kdepim-dbg (<< 4:4.3.90)
    (LP: #507589)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 14 Jan 2010 22:18:37 -0500

kdepimlibs (4:4.3.90-0ubuntu2) lucid; urgency=low

  * kdepimlibs5 replaces old kdepim-runtime-libs4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Jan 2010 23:53:21 +0000

kdepimlibs (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Bump build-depend versions
    - Update various .install files
    - kdepimlibs5 replaces/conflicts libakonadi-kcal4, since the library
      got moved back here

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 15:15:51 -0500

kdepimlibs (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Bump build-depend versions
    - Update kdepimlibs-data.install and kdepimlibs5-dev.install
    - Add -xphonon to DEB_DH_SHLIBDEPS_ARGS_ALL to prevent dep on -runtime

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 Dec 2009 13:31:55 -0500

kdepimlibs (4:4.3.80-0ubuntu2) lucid; urgency=low

  [ Jonathan Thomas ]
  * Add Replace on libkontactinterfaces4 to kdepim-runtime-data
    to fix upgrades from KDE 4.3

  [ Alessandro Ghersi ]


## kdepimlibs 4.5.5

=== debian/changelog ===
kdepimlibs (4:4.5.5-0ubuntu2.1) maverick-security; urgency=low

  * No change rebuild for security. This is needed to build kdeutils in
    the security pocket.

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 08 Nov 2011 16:49:03 -0600

kdepimlibs (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final KDE 4.5 per microversion release exception (LP:  #757065)
  * Post 4.5.5 updates from kde git:
    - debian/patches/kubuntu_01_imap_timeout.diff

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 00:34:25 -0400

kdepimlibs (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * New upstream release

 -- Stephen Stalcup <vorian@ubuntu.com>  Thu, 06 Jan 2011 09:13:08 -0700

kdepimlibs (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 00:37:50 +0000

kdepimlibs (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 17:31:47 +0000

kdepimlibs (4:4.5.2-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 17:35:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: kdepimlibs
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>,
  Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
- cdbs (>= 0.4.51), cmake, debhelper (>= 7.2.3), pkg-kde-tools (>= 0.9), dpkg-dev (>= 1.15.5),
- kdelibs5-dev (>= 4:4.4), libgpgme11-dev, libldap2-dev, libsasl2-dev,
- libboost-dev, libboost-graph-dev, shared-mime-info,
- libakonadi-dev (>= 1.3.0), libical-dev (>= 0.42)
+Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
+ cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4), dpkg-dev (>= 1.15.5),
+ kdelibs5-dev (>= 4:4.5), libgpgme11-dev, libldap2-dev, libsasl2-dev,
+ libboost1.42-dev, libboost-graph1.42-dev, shared-mime-info,
+ libakonadi-dev (>= 1.3.85), libical-dev (>= 0.42), shared-desktop-ontologies (>= 0.5)
 Standards-Version: 3.8.4
 Homepage: http://pim.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepimlibs.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepimlibs.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdepimlibs/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdepimlibs/ubuntu
 
 Package: kdepimlibs5
 Section: libs
@@ -27,7 +28,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${sameVersionDep:kdelibs5-dev:libakonadi-kde4}, ${allLibraries}
-Replaces: kdepimlibs-data (<< 4:4.1.80)
+Replaces: kdepimlibs-data (<< 4:4.1.80), kdepimlibs5 (<< 4:4.4.85)
 Conflicts: libkleopatra1-dev
 Description: development files for the KDE Development Platform PIM libraries
  This package contains development files for building software that uses
@@ -39,7 +40,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: kio slaves used by KDE PIM applications
  This package contains the imap4, ldap, mbox, nntp, pop3, sieve and smtp kio
@@ -51,7 +52,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepim-runtime (<< 4:4.4.0)
+Replaces: kdepim-runtime (<< 4:4.4.60)
 Description: library for using the Akonadi PIM data server
  This is the client access library for using the Akonadi PIM data server.
  .
@@ -61,7 +62,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
+Replaces: kdepimlibs5 (<< 4:4.4.60), akonadi-kde (<< 4:4.1.80)
 Description: library for using the Akonadi PIM data server
  This is the client access library for using the Akonadi PIM data server.
  .
@@ -71,7 +72,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepim-runtime (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
+Replaces: kdepim-runtime (<< 4:4.4.60), akonadi-kde (<< 4:4.1.80)
 Description: library for using the Akonadi PIM data server
  This is the client access library for using the Akonadi PIM data server.
  .
@@ -81,7 +82,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: library for using the Akonadi PIM data server
  This is the client access library for using the Akonadi PIM data server.
@@ -92,7 +93,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: library for using the Akonadi PIM data server
  This is the client access library for using the Akonadi PIM data server.
@@ -103,7 +104,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: c++ wrapper library for gpgme
  GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
  (GnuPG Made Easy) library.
@@ -114,7 +115,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: library for handling address book data
  This library provides an API for address book data. It includes features
@@ -138,7 +139,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: client-side support library for web application remote blogging APIs
  KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
  MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
@@ -153,7 +154,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: library for handling calendar data
  This library provides access to and handling of calendar data. It supports
@@ -166,7 +167,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: holidays calculation library
  This library provides a C++ API that determines holiday and other special
@@ -177,8 +178,8 @@
 Package: libkimap4
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library for handling IMAP data
  This library provides an API for handling data received from IMAP services.
  IMAP (Internet Message Access Protocol) is one of the two most prevalent
@@ -190,7 +191,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library for accessing LDAP
  This is a library for accessing LDAP with a convenient Qt style C++ API.
  LDAP (Lightweight Directory Access Protocol) is an application protocol
@@ -202,7 +203,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library for handling MIME data
  This library provides an API for handling MIME data. MIME (Multipurpose
  Internet Mail Extensions) is an Internet Standard that extends the format
@@ -228,7 +229,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library for managing user identities
  This library provides an API for managing user identities.
  .
@@ -238,7 +239,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library that provides a textedit with PIM-specific features
  KPIMTextedit provides a textedit with PIM-specific features. It also provides
  so-called rich text builders which can convert the formatted text in the text
@@ -250,7 +251,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library for dealing with email addresses
  This library contains utility functions for dealing with email addresses.
  This includes parsing, splitting and munging email addresses represented
@@ -263,7 +264,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: the KDE Resource framework library
  This library provides a framework for managing resources of different types,
@@ -276,7 +277,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library for handling TNEF data
  Ktnef is a library for handling data in the TNEF format (Transport Neutral
  Encapsulation Format, a proprietary format of e-mail attachment used by
@@ -290,13 +291,6 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: simple XML-RPC client library
  This library contains simple XML-RPC client support. It is used mainly by the
- egroupware module of kdepim, but is a complete client and is quite easy to use.
- .
- This package is part of the KDE Development Platform PIM libraries module.
-
-Package: libmailtransport4
-Section: libs
-Architecture: any
